import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { T as TriggerNotificationOptions, R as ResolveNotificationConfigResponse, U as UpsertNotificationConfig, a as UpsertNotificationConfigResponse, N as NotificationConfigCreatedEnvelope, b as NotificationConfigUpdatedEnvelope } from './events-notifications-v2-notification-config-notifications.universal-D-36kOt1.mjs';
export { al as ActionEvent, aq as Address, at as AddressLocation, ar as AddressStreetOneOf, bb as Agenda, A as Alignment, cf as AnchorData, cl as AppEmbedData, cm as AppEmbedDataAppDataOneOf, K as AppType, cA as AudioData, c5 as Background, c6 as BackgroundBackgroundOneOf, F as BackgroundType, cJ as Badge, dq as BaseEventMetadata, cD as BlockquoteData, cn as BookingData, bl as Border, cy as BorderColors, cC as BulletedListData, bk as ButtonData, B as ButtonDataType, aI as CalendarLinks, cE as CaptionData, bc as Category, bd as CategoryCounts, cx as CellStyle, cV as CheckIn, aW as CheckoutFormMessages, bw as CodeBlockData, ct as CollapsibleListData, cg as ColorData, bm as Colors, cO as CommonAddress, cR as CommonAddressLocation, cP as CommonAddressStreetOneOf, cQ as CommonStreetAddress, cS as CommonSubdivision, C as ConferenceType, d0 as CouponDiscount, t as Crop, a_ as Dashboard, cd as Decoration, ce as DecorationDataOneOf, H as DecorationType, cb as Design, cv as Dimensions, X as Direction, cZ as Discount, c_ as DiscountItem, c$ as DiscountItemDiscountOneOf, by as DividerData, cH as DocumentStyle, af as DomainEvent, ag as DomainEventBodyOneOf, a4 as EmailNotificationConfig, c as EmailNotificationReminderTime, E as EmailNotificationType, a5 as EmailTemplate, cr as EmbedData, am as Empty, ah as EntityCreatedEvent, ak as EntityDeletedEvent, aj as EntityUpdatedEvent, ay as Event, d7 as EventCanceled, dl as EventCopied, co as EventData, dk as EventDeleted, be as EventDisplaySettings, de as EventEnded, ac as EventGuests, dr as EventMetadata, d8 as EventReminder, df as EventStarted, e as EventStatus, f as EventType, an as EventUpdated, aH as ExternalEvent, d5 as Fee, a0 as FeeName, a1 as FeeType, b2 as Feed, bz as FileData, bA as FileSource, bB as FileSourceDataOneOf, cj as FontSizeData, J as FontType, aK as Form, aQ as FormMessages, cL as FormResponse, cN as FormattedAddress, bO as GIF, bN as GIFData, G as GIFType, bD as GalleryData, bH as GalleryDataItem, bI as GalleryDataItemDataOneOf, bJ as GalleryOptions, c4 as Gradient, b1 as GuestListConfig, bQ as HTMLData, bR as HTMLDataDataOneOf, bP as HeadingData, br as Height, dn as IdentificationData, dp as IdentificationDataIdOneOf, bF as Image, bS as ImageData, bU as ImageDataStyles, Q as InitialExpandedItems, aM as Input, aL as InputControl, I as InputControlType, cM as InputValue, cX as Invoice, cY as Item, bL as ItemStyle, b8 as Keyword, aP as Label, bf as LabellingSettings, bK as Layout, cF as LayoutCellData, s as LayoutType, p as LineStyle, a6 as Link, ch as LinkData, bV as LinkPreviewData, bW as LinkPreviewDataStyles, cz as ListValue, ao as Location, L as LocationType, ap as MapCoordinates, bX as MapData, bY as MapSettings, M as MapType, bE as Media, ci as MentionData, dm as MessageEnvelope, cG as Metadata, aG as Money, aV as Negative, aT as NegativeResponseConfirmation, bh as Node, bi as NodeDataOneOf, bj as NodeStyle, l as NodeType, a3 as NotificationConfig, Z as NullValue, ax as Occurrence, cs as Oembed, b3 as OnlineConferencing, b4 as OnlineConferencingConfig, cW as OnlineConferencingLogin, b5 as OnlineConferencingSession, c0 as Option, c8 as OptionDesign, c3 as OptionLayout, aN as OptionSelection, aO as OptionSelectionSelectedOptionOneOf, dd as OrderCanceled, cK as OrderConfirmed, d6 as OrderEmailAdded, ab as OrderGuest, da as OrderPaid, $ as OrderStatus, cB as OrderedListData, O as Orientation, bC as PDFSettings, d1 as PaidPlanDiscount, d2 as PaidPlanDiscountDiscountOneOf, bZ as ParagraphData, d3 as PercentDiscount, b$ as Permissions, cq as PlaybackOptions, bn as PluginContainerData, m as PluginContainerDataAlignment, bo as PluginContainerDataWidth, bp as PluginContainerDataWidthDataOneOf, c9 as Poll, b_ as PollData, ca as PollDataLayout, c7 as PollDesign, c2 as PollLayout, D as PollLayoutDirection, z as PollLayoutType, c1 as PollSettings, w as Position, aU as Positive, aS as PositiveResponseConfirmation, P as PushNotificationType, aw as Recurrences, aA as Registration, aY as RegistrationClosedMessages, g as RegistrationStatus, bv as Rel, di as ResolveEmailNotificationConfigRequest, dj as ResolveEmailNotificationConfigResponse, dg as ResolveNotificationConfigRequest, aX as ResponseConfirmation, ai as RestoreInfo, bg as RichContent, aB as RsvpCollection, aC as RsvpCollectionConfig, aR as RsvpFormMessages, aa as RsvpGuest, h as RsvpStatusOptions, a$ as RsvpSummary, av as ScheduleConfig, az as Scheduling, b7 as SeoSchema, b6 as SeoSettings, ba as Settings, aJ as SiteUrl, v as Source, bq as Spoiler, ck as SpoilerData, cT as StandardDetails, k as State, d as Status, as as StreetAddress, bs as Styles, bT as StylesBorder, au as Subdivision, S as SubdivisionType, cw as TableCellData, cu as TableData, b9 as Tag, n as Target, d4 as Tax, aF as TaxConfig, i as TaxType, o as TextAlignment, cc as TextData, cI as TextNodeStyle, bx as TextStyle, bM as Thumbnails, u as ThumbnailsAlignment, cU as Ticket, ad as TicketGuest, dc as TicketPdfResolveDelayed, db as TicketPdfResolved, aD as Ticketing, aE as TicketingConfig, b0 as TicketingSummary, aZ as TicketsUnavailableMessages, d9 as TimeDuration, dt as TriggerNotificationOptionsGuestsOneOf, ds as TriggerNotificationOptionsNotificationOneOf, a7 as TriggerNotificationRequest, a9 as TriggerNotificationRequestGuestsOneOf, a8 as TriggerNotificationRequestNotificationOneOf, ae as TriggerNotificationResponse, _ as Type, dh as UpsertNotificationConfigRequest, bt as V1Link, bu as V1LinkDataOneOf, j as ValueType, Y as VerticalAlignment, bG as Video, cp as VideoData, r as ViewMode, x as ViewRole, V as VisitorType, y as VoteRole, a2 as WebhookIdentityType, q as Width, W as WidthType } from './events-notifications-v2-notification-config-notifications.universal-D-36kOt1.mjs';

declare function triggerNotification$1(httpClient: HttpClient): TriggerNotificationSignature;
interface TriggerNotificationSignature {
    /**
     * Triggers notification
     */
    (options: TriggerNotificationOptions): Promise<void>;
}
declare function resolveNotificationConfig$1(httpClient: HttpClient): ResolveNotificationConfigSignature;
interface ResolveNotificationConfigSignature {
    /**
     * Resolves a NotificationConfig by id. Returns saved value or default value if not saved yet.
     * @param - Id of the NotificationConfig to retrieve
     */
    (notificationConfigId: string): Promise<ResolveNotificationConfigResponse>;
}
declare function upsertNotificationConfig$1(httpClient: HttpClient): UpsertNotificationConfigSignature;
interface UpsertNotificationConfigSignature {
    /**
     * Upsert a NotificationConfig
     * @param - Event ID.
     */
    (_id: string, notificationConfig: UpsertNotificationConfig): Promise<UpsertNotificationConfigResponse>;
}
declare const onNotificationConfigCreated$1: EventDefinition<NotificationConfigCreatedEnvelope, "wix.events.notifications.v2.notification_config_created">;
declare const onNotificationConfigUpdated$1: EventDefinition<NotificationConfigUpdatedEnvelope, "wix.events.notifications.v2.notification_config_updated">;

declare const triggerNotification: MaybeContext<BuildRESTFunction<typeof triggerNotification$1> & typeof triggerNotification$1>;
declare const resolveNotificationConfig: MaybeContext<BuildRESTFunction<typeof resolveNotificationConfig$1> & typeof resolveNotificationConfig$1>;
declare const upsertNotificationConfig: MaybeContext<BuildRESTFunction<typeof upsertNotificationConfig$1> & typeof upsertNotificationConfig$1>;
/** */
declare const onNotificationConfigCreated: BuildEventDefinition<typeof onNotificationConfigCreated$1>;
/** */
declare const onNotificationConfigUpdated: BuildEventDefinition<typeof onNotificationConfigUpdated$1>;

export { NotificationConfigCreatedEnvelope, NotificationConfigUpdatedEnvelope, ResolveNotificationConfigResponse, TriggerNotificationOptions, UpsertNotificationConfig, UpsertNotificationConfigResponse, onNotificationConfigCreated, onNotificationConfigUpdated, resolveNotificationConfig, triggerNotification, upsertNotificationConfig };
